Skip to main content
GET
/
api
/
v1
/
settings
/
allow_deny_entries
List allow/deny list entries
curl --request GET \
  --url https://api.ocean.security/api/v1/settings/allow_deny_entries \
  --header 'X-Api-Key: <api-key>'
{
  "results": {
    "items": [
      {
        "comment": "<string>",
        "created_at": "<string>",
        "created_by": "<string>",
        "id": "<string>",
        "value": "<string>"
      }
    ],
    "page": 123,
    "page_size": 123,
    "total": 123
  },
  "status": 123
}

Authorizations

X-Api-Key
string
header
required

API key for authentication

Headers

X-Api-Key
string
required

Authentication API Key

Query Parameters

list
string
required

Filter entries by list: allow or deny

page
integer

1-based page index (default 1)

page_size
integer

Page size (default 50, max 200)

q
string

Substring match on identifier value

Response

Paginated entries

results
object
status
integer